E-MailRelay

Namespaces | Functions
grange.h File Reference
`#include "gdef.h"`
`#include "gstringview.h"`
`#include "gstr.h"`
`#include "gexception.h"`
Include dependency graph for grange.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | G
| Low-level classes.
namespace | G::Range
| Utility functions for pair-of-integer ranges.

## Functions
std::pair< int, int > | G::Range::range (std::string_view spec_part)
std::pair< int, int > | G::Range::range (int a, int b)
std::pair< int, int > | G::Range::from (int n)
std::pair< int, int > | G::Range::none ()
std::pair< int, int > | G::Range::all ()
std::string | G::Range::str (std::pair< int, int > range, int big=9999)
bool | G::Range::within (std::pair< int, int > range, int n)
void | G::Range::check (std::string_view spec)